/*
 * blancoIg
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.struts.definition.form;

/**
 * @author Yasuo Nakanishi
 */
public class FieldValidation {

    private boolean _checkRequire = false;

    private boolean _checkFormat = false;

    private String _format = "";

    private boolean _checkRegex = false;

    private String _regex = "";

    private String _regexMessageKey = "";

    private boolean _checkSize = false;

    private SizeValidationType _sizeValidationType = SizeValidationType.BYTES;

    private String _maxSize = "";

    private String _minSize = "";

    private boolean _checkRange = false;

    private String _maxRange = "";

    private String _minRange = "";

    public FieldValidation() {
    }

    public String getMaxRange() {
        return _maxRange;
    }

    public void setMaxRange(String max) {
        _maxRange = max;
    }

    public String getRegex() {
        return _regex;
    }

    public void setRegex(String regex) {
        _regex = regex;
    }

    public boolean isCheckRange() {
        return _checkRange;
    }

    public void setCheckRange(boolean checkRange) {
        _checkRange = checkRange;
    }

    public boolean isCheckRegex() {
        return _checkRegex;
    }

    public void setCheckRegex(boolean checkRegex) {
        _checkRegex = checkRegex;
    }

    public String getMinRange() {
        return _minRange;
    }

    public void setMinRange(String min) {
        _minRange = min;
    }

    public boolean isCheckRequire() {
        return _checkRequire;
    }

    public void setCheckRequire(boolean checkRequire) {
        _checkRequire = checkRequire;
    }

    public boolean isCheckFormat() {
        return _checkFormat;
    }

    public void setCheckFormat(boolean checkFormat) {
        _checkFormat = checkFormat;
    }

    public String getFormat() {
        return _format;
    }

    public void setFormat(String format) {
        _format = format;
    }

    public boolean isCheckSize() {
        return _checkSize;
    }

    public void setCheckSize(boolean checkSize) {
        _checkSize = checkSize;
    }

    public String getMaxSize() {
        return _maxSize;
    }

    public void setMaxSize(String maxSize) {
        _maxSize = maxSize;
    }

    public String getMinSize() {
        return _minSize;
    }

    public void setMinSize(String minSize) {
        _minSize = minSize;
    }

    public String getRegexMessageKey() {
        return _regexMessageKey;
    }

    public void setRegexMessageKey(String regexMessageKey) {
        _regexMessageKey = regexMessageKey;
    }

    public SizeValidationType getSizeValidationType() {
        return _sizeValidationType;
    }

    public void setSizeValidationType(SizeValidationType sizeValidationType) {
        _sizeValidationType = sizeValidationType;
    }

}
